<?php
namespace SabaiApps\Directories\Component\User\FieldType;

use SabaiApps\Directories\Component\Field\Type\EmailType;

class EmailFieldType extends EmailType {

	protected function _fieldTypeInfo() {
		return array(
			'entity_types'   => array( 'user' ),
			'default_widget' => 'email',
			'creatable'      => false,
			'requirable'     => false,
			'required'       => true,
		) + parent::_fieldTypeInfo();
	}

	public function fieldTypeSchema( array $settings = array() ) {}
}
